<?php

namespace App\Enums;

enum ArtistCategory: string
{
    case Unset = 'unset';
    case Male = 'male';
    case Female = 'female';
    case Group = 'group'; 
    case Foreign = 'foreign';
    case Other = 'other';

    // 返回對應的顯示文字
    public function labels(): string
    {
        return match($this) {
            self::Male => __('enums.Male'),
            self::Female => __('enums.Female'),
            self::Group => __('arist.category.Group'),
            self::Foreign => __('arist.category.Foreign'),
            self::Other => __('enums.Other'),
            self::Unset => __('enums.Unset'),
        };
    }
    
    public function labelPowergridFilter(): String
    {
        return $this -> labels();
    }
}